Implement EBL spectral model 

04/19/2018 05:00 PM - Knödlseder Jürgen

Status: Closed Start date: 04/19/2018

Priority: Normal Due date:  

Assigned To: Tibaldo Luigi % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.6.0   

Description

Implement a spectral model that emulates the EBL absorption.

History

#1 - 06/25/2018 05:58 PM - Tibaldo Luigi

- Status changed from New to In Progress

- Assigned To set to Tibaldo Luigi

The easiest solution seems to be he implementation of the exponential of an arbitrary spectral model. If we call F the the intrinsic spectrum of the

source (for which we assume we can use one of the existing models, e.g. power law), tau the tabulated optical depth as a function of energy for a

given EBL model and source redishift, MUL the multiplicative model function (already available), EXP the exponential to be implemented, we could

model the EBL attenuated spectrum as

MUL))

with Normalization as free parameter.

I will investigate with AGN experts if this is sufficient for their aims.

#2 - 06/28/2018 10:45 AM - Tibaldo Luigi

- % Done changed from 0 to 40

Implemented class GModelSpectralExponential in gammalib (including swig interface). Now working on testing and debugging.

#3 - 06/29/2018 02:59 PM - Tibaldo Luigi

- % Done changed from 40 to 70

Debugged and test routines created. Simple tests produce the expected results.

Will now proceed to high level tests in ctools.

#4 - 06/29/2018 04:58 PM - Tibaldo Luigi

- File spectrum.png added

- File sed.png added

- % Done changed from 70 to 90

I simulated with ctools 1h of observations of a Crab-like source with/without absorption. This graph shows the absorbed/unabsorbed spectrum.
I analyzed both data samples with the absorbed model defined as PowerLaw X Exp (- alpha x tau), where tau was the same tabulated opacity model

used in the simulation. The results were in both cases compatible with the Monte Carlo truth, in particular the value of the alpha parameter resulted:

0.96 pm 0.09 for the simulation with absorption

0.002 pm 0.003 for the simulation without absorption
The following graph shows the SED derived from the absorbed dataset

 

Everything seems to work as expected.

#5 - 06/29/2018 05:28 PM - Tibaldo Luigi

- Status changed from In Progress to Pull request

- % Done changed from 90 to 100

All done from my side. Note that the pull request applies for the branches 2454 in both gammalib and ctools. The latter contain just an addition to the

User Manual that illustrates how to use the new function to model EBL absorption.

#6 - 07/02/2018 03:01 PM - Knödlseder Jürgen

I looked into the model and it seems to me that it actually has no alpha parameter. Is this true?

#7 - 07/02/2018 03:07 PM - Tibaldo Luigi

It has no explicit extra normalization. Every spectral model that you could use as exponent has its own normalization parameter, so I thought there

was no need to add a second one.

Do you think the exponential function should add an additional normalization factor? To me that seems dangerous because in the end you would

always have two normalizations, and it would be ambiguous which one to use.

#8 - 07/02/2018 03:09 PM - Knödlseder Jürgen

You are absolutely correct, no extra parameter is in fact needed. Just wanted to double check that this was your intention.

#9 - 07/03/2018 09:34 AM - Knödlseder Jürgen

Merged GammaLib code into devel. Now will work on the ctools part.

#10 - 07/03/2018 10:52 AM - Knödlseder Jürgen

- File crab_prefactor.png added

- File crab_index.png added

- File crab_normalization.png added

- File bgd_prefactor.png added

- File bgd_index.png added

I added a test to the science_verification.py script, things look good, below the respective pull distributions.

#11 - 07/03/2018 12:33 PM - Knödlseder Jürgen

- Status changed from Pull request to Closed

Merged into devel.

Files

spectrum.png 27.5 KB 06/29/2018 Tibaldo Luigi
sed.png 13.5 KB 06/29/2018 Tibaldo Luigi

crab_prefactor.png 40.6 KB 07/03/2018 Knödlseder Jürgen

crab_index.png 39.8 KB 07/03/2018 Knödlseder Jürgen

crab_normalization.png 41.5 KB 07/03/2018 Knödlseder Jürgen

bgd_prefactor.png 42.2 KB 07/03/2018 Knödlseder Jürgen

bgd_index.png 41.4 KB 07/03/2018 Knödlseder Jürgen
